 - (defun c:tt(/ BasePtX BasePtY width ang1 offsetx1 offsetx2 offsety1 offsety2)
- (if(and(setq BasePtX(getpoint "BasePtX: "))
- (setq BasePtY(getpoint BasePtX "BasePtY: "))
- )
- (progn
- (setq width (cond((getdist "Enter width<10>: " ))(10)))
- (setq ang1(angle BasePtX BasePtY))
- (setq offsetx1(polar BasePtX (+ ang1(* pi 0.5)) (* width 0.5))
- offsetx2(polar BasePtX (+ ang1(* pi 1.5)) (* width 0.5))
- offsety1(polar BasePtY (+ ang1(* pi 1.5)) (* width 0.5))
- offsety2(polar BasePtY (+ ang1(* pi 0.5)) (* width 0.5))
- )
- (command "pline" "non" offsetx1 "non" offsetx2 "non" offsety1 "non" offsety2 "c")
- )
- )
- (princ)
- )
|